# Kalendererstellung in Latex

[![en](https://img.shields.io/badge/lang-en-red.svg)](https://git.kuschel.at/public/latex-kalender)
[![de](https://img.shields.io/badge/lang-de-green.svg)](https://git.kuschel.at/public/latex-kalender/src/README-DE.md)


Das Paket verwendet das Latex-Paket tikz-kalender, das Parameter entgegennimmt und einen Kalender für das in den Argumenten angegebene Jahr erzeugt.

Wir zeigen hier die Möglichkeit, die Namen der Monate in die österreichische Variante zu ändern. Dies sind die lokalen Wörter Jänner statt Januar und Feber statt Februar.

![Der Kalender](img/kalender2025-1.png)

## Wichtig

Das Repository verwendet Gits lfs, large file system, um pdf-Dateien zu speichern.
Wenn Sie an dem Projekt arbeiten und mit Git übertragen wollen, müssen Sie zuerst **git-lfs** installieren.
Danach können Sie dieses Repository klonen.

## Installation von Latex -- Editor -- und Code (Visual Studio)
### Meine Empfehlung

1. Installieren Sie TeX Live von https://tug.org/texlive/
 
   Für Windows-PCs installiert die Installationsdatei **install-tl-windows.exe** alle notwendigen Dateien auf der Festplatte (C:/texlive/2024), um die aktiven Versionen jedes TeX-Pakets über eine **tlshell** zu verwalten, eine TeX Live Shell, in der Sie jedes Latex-Paket aktualisieren/installieren können.
   Wenn Sie neu in LaTex sind, installieren Sie einfach alle Pakete auf Ihrem System. Die Installation aller TeX-Bibliotheken hat einige Minuten (Stunden) gedauert. 

2. Installieren Sie Code, d.h. Visual Studio Code von https://code.visualstudio.com/

3. Installieren Sie Git und Git-LFS von https://git-scm.com/ und https://git-lfs.com/

   Dies ist das von mir empfohlene Versionierungssystem für meinen TeX-Code.
   Zusätzlich verwende ich die Datei .gitignore in meinem Repository, um mehrere Dateien in seinem Ordner zu ignorieren, die unter folgender Adresse zu finden sind:
   https://github.com/github/gitignore , insbesondere die Datei https://github.com/github/gitignore/blob/main/TeX.gitignore
   Kopieren Sie diese Datei als .gitignore in das Stammverzeichnis Ihres Projektarchivs.
   Zusätzlich verwende ich eine **.gitattributes** Datei, um große Dateien innerhalb von git (git-lfs) zu verwalten:
```
*.zip filter=lfs diff=lfs merge=lfs -text
*.gz filter=lfs diff=lfs merge=lfs -text
*.image filter=lfs diff=lfs merge=lfs -text
*.pdf filter=lfs diff=lfs merge=lfs -text
*.jpg filter=lfs diff=lfs merge=lfs -text
*.png filter=lfs diff=lfs merge=lfs -text
*.gif filter=lfs diff=lfs merge=lfs -text
*.ai filter=lfs diff=lfs merge=lfs -text
*.psd filter=lfs diff=lfs merge=lfs -text
*.doc* filter=lfs diff=lfs merge=lfs -text
*.xls* filter=lfs diff=lfs merge=lfs -text
*.ppt filter=lfs diff=lfs merge=lfs -text
*.ppt* filter=lfs diff=lfs merge=lfs -text
*.emf filter=lfs diff=lfs merge=lfs -text
*.wmf filter=lfs diff=lfs merge=lfs -text
*.raw filter=lfs diff=lfs merge=lfs -text
*.exe filter=lfs diff=lfs merge=lfs -text
*.SchDoc filter=lfs diff=lfs merge=lfs -text
```

4.  Installieren Sie die Erweiterung **LaTeX Workshop** in (Visual Studio) Code

--
